Bug 3609 - Bad behavior when there are IO errors on reading.
Bad behavior when there are IO errors on reading.
Status: CLOSED FIXED
Product: rsync
Classification: Unclassified
Component: core
2.6.7
x86 Linux
: P3 major
: ---
Assigned To: Wayne Davison
Rsync QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-15 15:51 UTC by Jens Henrik Leonhard Jensen
Modified: 2006-04-22 12:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jens Henrik Leonhard Jensen 2006-03-15 15:51:26 UTC
When reading a file with a bad block, rsync 2.6.7 goes in to a infinte loop,
rereading the bad block.

rsync 2.6.6 just fil in zeros. Which is worse! Bad data and no indication.

The error is also i rsync 2.5.7 from RHEL 3.

There are no error message in either case.

The minimum requerement is an error message, and an error exit code.
The best solution, would be to be able to select to skip changes from files with
readerrors, and just continue with other files.
Comment 1 Wayne Davison 2006-04-08 11:39:58 UTC
Rsync is not in an infinite loop, but it was not properly bumping the read position forward after a failed read so that it could try to read the remainder of the file.  This is now fixed in CVS and also in the most recent "nightly" tar file.

Thanks for the report!